Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 321443

Summary: x11-base/xorg-server: DRI2 modules aren't fully set-up on a fresh install
Product: Gentoo Linux Reporter: Andrew Brouwers <abrouwers>
Component: New packagesAssignee: Gentoo X packagers <x11>
Status: RESOLVED FIXED    
Severity: normal CC: xmw
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: Possible fix

Description Andrew Brouwers 2010-05-25 13:14:45 UTC
Last night, I was doing a brand new install of gentoo on an intel-based laptop.  It's running stable, with a few non-relevant items in package.keywords (including the newer x-server, libdrm, mesa, and a few x11-drivers).

Anyway, after building xorg-server, running 'startx' returned quite a few errors about failing to load any extensions (dri, dri2, etc).  It also claimed KMS was not present (which intel depends upon), though it definitely was.

I checked 'eselect opengl show', and it pointed to xorg-x11.  I issued an 'eselect opengl set 1' (which corresponded to xorg-x11 too), and 'startx' immediately worked.

I know the GL stuff was re-done in x-server 1.8.1-r1, but I don't think it's working quite right :)

Reproducible: Always
Comment 1 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2010-05-25 17:43:28 UTC
Created attachment 232899 [details, diff]
Possible fix

Could you try this patch please? To reproduce the bug, you'll probably need to:

quickpkg xorg-server
emerge -C xorg-server
eselect opengl set xorg-x11
rm /usr/lib/xorg/modules/extensions/*
emerge -1k xorg-server

If afterwards the server fails to start again, please try to build the patched ebuild and let us know whether it fixed the issue.
Comment 2 Michael Weber (RETIRED) gentoo-dev 2010-06-07 09:10:09 UTC
(In reply to comment #0)
>  It's running stable, with a few non-relevant items in package.keywords
> (including the newer x-server, libdrm, mesa, and a few x11-drivers).
That's not non-relevant ;-)

> Anyway, after building xorg-server, running 'startx' returned quite a few
> errors about failing to load any extensions (dri, dri2, etc).  It also claimed
> KMS was not present (which intel depends upon), though it definitely was.
These errors, ~/.xsession-errors and /var/log/Xorg.0.log would be nice to have as attachment here, to see what failed during startup.

> I checked 'eselect opengl show', and it pointed to xorg-x11.  I issued an
> 'eselect opengl set 1' (which corresponded to xorg-x11 too), and 'startx'
> immediately worked.
looks like some broken links.
Comment 3 Andrew Brouwers 2010-06-10 15:22:04 UTC
(In reply to comment #2)
> (In reply to comment #0)
> >  It's running stable, with a few non-relevant items in package.keywords
> > (including the newer x-server, libdrm, mesa, and a few x11-drivers).
> That's not non-relevant ;-)

I think it is, actually.  1.8.x doesn't require anything unique over 1.7, with the exception of some gentoo packaging changes (xinit script, for example).
 
> > Anyway, after building xorg-server, running 'startx' returned quite a few
> > errors about failing to load any extensions (dri, dri2, etc).  It also claimed
> > KMS was not present (which intel depends upon), though it definitely was.

X.org reports no KMS being present, and instantly quits, even though the kernel configuration definitely is using KMS:

CONFIG_DRM_KMS_HELPER=y 
CONFIG_DRM_I915_KMS=y

> 
> > I checked 'eselect opengl show', and it pointed to xorg-x11.  I issued an
> > 'eselect opengl set 1' (which corresponded to xorg-x11 too), and 'startx'
> > immediately worked.
> looks like some broken links.
> 

It's an ebuild bug, since the way the eselect goodies were done recently changed.

http://z-issue.com/blog/index.php?/archives/309-Problems-with-xorg-server-1.8.1-and-xf86-video-intel-2.11.0.html
Comment 4 Rémi Cardona gentoo-dev 2010-06-10 20:49:45 UTC
That's why I kept forgetting this bug, it wasn't assigned to us!

Fixing this ASAP
Comment 5 Rémi Cardona gentoo-dev 2010-06-10 21:15:36 UTC
I've applied Michał's patch.

Thanks and sorry again for letting this go through the cracks.
Comment 6 Andrew Brouwers 2010-06-11 15:59:01 UTC
(In reply to comment #5)
> I've applied Michał's patch.
> 
> Thanks and sorry again for letting this go through the cracks.
> 

Thanks Remi - it works just as expected!